package be.iminds.ilabt.jfed.rspec_fx.rspec_source;

import be.iminds.ilabt.jfed.rspec_fx.model.javafx_impl.FXRspecFactory;
import be.iminds.ilabt.jfed.rspec.rspec_source.RspecSourceTest;
import be.iminds.ilabt.jfed.rspec_fx.util.JavaFXInitializer;
import org.slf4j.LoggerFactory;
import org.testng.annotations.BeforeSuite;

/**
 * RspecSourceTestFX
 */
public class RspecSourceTestFX extends RspecSourceTest {

    private static final org.slf4j.Logger LOG = LoggerFactory.getLogger(RspecSourceTestFX.class);

    protected final FXRspecFactory fxRspecFactory;

    public RspecSourceTestFX() {
        super(FXRspecFactory.getInstance());
        this.fxRspecFactory = (FXRspecFactory) rspecFactory;
    }


    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    @BeforeSuite
    private static void setupJavaFx() throws InterruptedException {
        JavaFXInitializer.initialize();
    }

    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////

}
